﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ExtjsMvcRazorApp.Models;

namespace ExtjsMvcRazorApp.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            return View();
        }

        public JsonResult NavigationTree()
        {
            List<TreeNode> treeNodeList = new List<TreeNode>();

            for (int pdx = 1; pdx <= 3; pdx++)
            {
                treeNodeList.Add(new TreeNode
                {
                    text = string.Format("Project {0}", pdx)
                });

                for (int cdx = 1; cdx <= 3; cdx++)
                {
                    treeNodeList[pdx - 1].children.Add(new TreeNode
                    {
                        text = string.Format("Contract {0}", cdx),
                        leaf = true
                    });
                }
            }

            return Json(treeNodeList, JsonRequestBehavior.AllowGet);
        }
    }
}
