﻿Ext.onReady(function () {
    var treePanel = new Ext.tree.TreePanel({
        id: 'tree-panel',
        rootVisible: false,

        loader: new Ext.tree.TreeLoader({
            dataUrl: '/Home/NavigationTree'
        }),

        root: new Ext.tree.AsyncTreeNode()
    });

    var viewport = new Ext.Viewport({
        layout: 'border',
        items: [
            new Ext.BoxComponent({
                region: 'north',
                height: 40,
                contentEl: 'north'
            }), {
                region: 'south',
                contentEl: 'south',
                height: 24
            }, {
                region: 'west',
                id: 'west-panel',
                title: 'Navigation',
                split: true,
                width: 200,
                minSize: 175,
                maxSize: 400,
                layout: 'fit',
                collapsible: true,
                margins: '0 0 0 5',
                items: [ treePanel ]
            }, {
                region: 'center',
                id: 'center-panel',
                layout: 'fit',
                contentEl: 'center'
            }
        ]
    });
});
